Chromium Code Reviews
Help | Chromium Project | Sign in
(16)

Issue 2700623003: Make sure that the pressure is always 0 for pointerup events (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by lanwei
Modified:
2 months ago
CC:
chromium-reviews, blink-reviews, jam, blink-reviews-w3ctests_chromium.org, darin-cc_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Make sure that the pressure is always 0 for pointerup events The pressure value is correct on Mac and Windows. We correct them on on Android and linux. Also, for synthetic touch events and touch events from touch emulator, make the pressure 0 for all the touch release events. BUG=648777 Review-Url: https://codereview.chromium.org/2700623003 Cr-Commit-Position: refs/heads/master@{#452081} Committed: https://chromium.googlesource.com/chromium/src/+/e1fcfcddcd90de5017009feefa7e18716c450f4e

Patch Set 1 : pointer pressure #

Total comments: 3

Patch Set 2 : pointer pressure #

Total comments: 1

Patch Set 3 : pressure #

Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -453 lines) Patch
M content/browser/renderer_host/input/touch_emulator.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/common/input/synthetic_web_input_event_builders.cc View 1 2 1 chunk +1 line, -0 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/pointerevents/pointerevent_attributes_nohover_pointers-manual-expected.txt View 1 2 1 chunk +0 lines, -448 lines 0 comments Download
M ui/events/android/motion_event_android.cc View 1 2 chunks +4 lines, -2 lines 0 comments Download
M ui/events/x/events_x_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M ui/events/x/events_x_utils.cc View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 57 (44 generated)
lanwei
2 months, 1 week ago (2017-02-17 15:11:46 UTC) #23
mustaq
https://codereview.chromium.org/2700623003/diff/60001/ui/events/android/motion_event_android.cc File ui/events/android/motion_event_android.cc (right): https://codereview.chromium.org/2700623003/diff/60001/ui/events/android/motion_event_android.cc#newcode307 ui/events/android/motion_event_android.cc:307: if (cached_action_ == ACTION_UP) I guess this came from ...
2 months, 1 week ago (2017-02-17 16:07:18 UTC) #27
mustaq
https://codereview.chromium.org/2700623003/diff/60001/ui/events/android/motion_event_android.cc File ui/events/android/motion_event_android.cc (right): https://codereview.chromium.org/2700623003/diff/60001/ui/events/android/motion_event_android.cc#newcode307 ui/events/android/motion_event_android.cc:307: if (cached_action_ == ACTION_UP) On 2017/02/17 16:07:18, mustaq wrote: ...
2 months, 1 week ago (2017-02-17 16:18:51 UTC) #28
lanwei
2 months ago (2017-02-18 00:54:49 UTC) #33
mustaq
lgtm
2 months ago (2017-02-21 15:10:15 UTC) #34
dtapuska
On 2017/02/21 15:10:15, mustaq wrote: > lgtm lgtm
2 months ago (2017-02-21 17:16:57 UTC) #35
Navid Zolghadr
lgtm
2 months ago (2017-02-21 17:28:34 UTC) #36
lanwei
sadrul@chromium.org: Please review changes in ui/events/, thank you! https://codereview.chromium.org/2700623003/diff/60001/ui/events/android/motion_event_android.cc File ui/events/android/motion_event_android.cc (right): https://codereview.chromium.org/2700623003/diff/60001/ui/events/android/motion_event_android.cc#newcode307 ui/events/android/motion_event_android.cc:307: if ...
2 months ago (2017-02-21 17:47:06 UTC) #38
sadrul
lgtm https://codereview.chromium.org/2700623003/diff/80001/ui/events/x/events_x_utils.cc File ui/events/x/events_x_utils.cc (right): https://codereview.chromium.org/2700623003/diff/80001/ui/events/x/events_x_utils.cc#newcode728 ui/events/x/events_x_utils.cc:728: double force = 0.0; Wrap everything below in ...
2 months ago (2017-02-21 19:18:07 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2700623003/100001
2 months ago (2017-02-22 01:28:19 UTC) #46
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) linux_chromium_compile_dbg_ng on ...
2 months ago (2017-02-22 03:31:48 UTC) #48
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2700623003/100001
2 months ago (2017-02-22 15:32:49 UTC) #54
commit-bot: I haz the power
2 months ago (2017-02-22 16:40:11 UTC) #57
Message was sent while issue was closed.
Committed patchset #3 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/e1fcfcddcd90de5017009feefa7e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46